# Memcached::prependByKey

(PECL memcached >= 0.1.0)

Memcached::prependByKey — Prepend data to an existing item on a specific server

### Description

public Memcached::prependByKey ( string `$server_key` , string `$key` , string `$value` ) : bool

Memcached::prependByKey() is functionally equivalent to Memcached::prepend(), except that the free-form `server_key` can be used to map the `key` to a specific server.

### Parameters

`server_key`

  The key identifying the server to store the value on or retrieve it from. Instead of hashing on the actual key for the item, we hash on the server key when deciding which memcached server to talk to. This allows related items to be grouped together on a single server for efficiency with multi operations.

`key`

  The key of the item to prepend the data to.

`value`

  The string to prepend.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. The Memcached::getResultCode() will return `Memcached::RES_NOTSTORED` if the key does not exist.

### See Also

- Memcached::prepend() - Prepend data to an existing item
- Memcached::append() - Append data to an existing item